Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 264011 - x11-drivers/ati-drivers-8.593 version bump
Summary: x11-drivers/ati-drivers-8.593 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Luca Barbato
URL: http://ati.amd.com/products/catalyst
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-27 22:16 UTC by James Le Cuirot
Modified: 2009-06-03 12:31 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ati-drivers-8.593.ebuild (ati-drivers-8.593.ebuild,14.41 KB, text/plain)
2009-03-27 22:16 UTC, James Le Cuirot
Details
2.6.29_support.patch (2.6.29_support.patch,3.03 KB, patch)
2009-03-27 22:16 UTC, James Le Cuirot
Details | Diff
ati-drivers.ebuild.patch (ati-drivers.ebuild.patch,905 bytes, patch)
2009-03-28 16:30 UTC, James Le Cuirot
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Le Cuirot gentoo-dev 2009-03-27 22:16:06 UTC
Not just an evil bump request. I've updated the ebuild for this and added a patch for 2.6.29 from Debian. It only came out today so not tested much but so far, so good. Just copy the existing patches 8.582 to 8.593.
Comment 1 James Le Cuirot gentoo-dev 2009-03-27 22:16:31 UTC
Created attachment 186489 [details]
ati-drivers-8.593.ebuild
Comment 2 James Le Cuirot gentoo-dev 2009-03-27 22:16:50 UTC
Created attachment 186490 [details, diff]
2.6.29_support.patch
Comment 3 dark_mail 2009-03-28 15:01:58 UTC
Got some issue here, not quite sure what to make of it:

When launching Neverwinter Nights, the program crashes with the error

X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  160 (GLX)
  Minor opcode of failed request:  19 (X_GLXQueryServerString)
  Serial number of failed request:  18
  Current serial number in output stream:  18

Not quite sure what to make of it.
I didn't have this problem with ati-drivers-8.561.
Enemy Territory hangs during startup sequence, but throws no visible errors.

revdep-rebuild shows no new broken dependencies.

Apart from that the ebuild seems to work.

emerge --info
Portage 2.1.6.7 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.27-gentoo-r8 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r8-x86_64-AMD_Phenom-tm-_9350e_Quad-Core_Processor-with-glibc2.2.5
Timestamp of tree: Thu, 26 Mar 2009 12:45:03 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.8
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://de-mirror.org/distro/gentoo/ ftp://mirror.netcologne.de/gentoo/ ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.ecc.u-tokyo.ac.jp/GENTOO "
LANG="de_DE@euro"
LDFLAGS="-Wl,-O1"
LINGUAS="de ja"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X acl acpi alsa amd64 bash-completion berkdb blender-game bluetooth boost branding bzip2 cairo caps cdda cddb cdparanoia cdr cjk cli connectionstatus cracklib crypt cscope css cups curl cvs cxx dbus disk-partition dri dvd dvdr dvdread eds emboss encode evo exif fam ffmpeg firefox flac foomaticdb fortran ftp gcj gd gdbm gif gimp gphoto gpm gstreamer gtk hal hddtemp history hou iconv icq id3 id3tag imagemagick ipv6 isdnlog jabber java jpeg jpeg2k kde kerberos ladspa latex ldap libnotify libsamplerate libwww lm_sensors loop-aes lzo mad midi mikmod mjpeg mmap mmx mmxext mng mp3 mpeg mplayer mudflap multilib musepack ncurses nls nowin nptl nptlonly nsplugin offensive ogg openal openexr opengl openmp oscar pam pcre pdf perl player plotutils png postscript ppds pppd python qt3 qt3support qt4 quicktime raw readline reflection samba sbdfile scanner schroedinger sdl sdlsession session smp sou soundtouch spell spl sse sse2 ssl startup-notification subversion svg symlink sysfs tcpd theora threads tiff truetype twolame unicode usb vamp videos vim-syntax vorbis wavpack wmf wxwindows x264 xcb xcomposite xine xml xorg xpm xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de ja" USERLAND="GNU" VIDEO_CARDS="fglrx vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Xorg is 7.4, xserver is 1.5.2

Additional info needed?

Any clue what's up with this error?
Comment 4 dark_mail 2009-03-28 15:24:14 UTC
Hmm, obviously there's something more than just these two programs affected.

When playing a video with mplayer I have lots of tearing which I didn't have before, and when returning from fullscreen playback the system froze hard.

Before the last reboot glxgears didn't work, throwing a similar error message to nwn, now glxgears runs without problems. Strange.

I also noticed I couldn't activate EXA in the xorg.conf, X seems to ignore it completely.

What's wrong with my setup?
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-28 15:39:38 UTC
Please attach unified diffs (diff -u) when you did changes to an ebuild. That would be much more handy for our devs.
Comment 6 James Le Cuirot gentoo-dev 2009-03-28 16:30:40 UTC
Created attachment 186570 [details, diff]
ati-drivers.ebuild.patch

Got it.

dark_mail@gmx.net, try "eselect opengl set ati". For some reason, mine always reverts back to xorg-x11 after installing this.
Comment 7 dark_mail 2009-03-28 16:58:35 UTC
It already is on "ati". I even rebooted afterwards ... :-)
Comment 8 Luca Barbato gentoo-dev 2009-03-28 20:25:54 UTC
I'd wait for a bit before putting this driver (and this patch) in, hopefully upstream will handle the .29 transition in a cleaner fashion
Comment 9 Jason A. Donenfeld archtester Gentoo Infrastructure gentoo-dev Security 2009-03-31 00:42:18 UTC
The attached patches and ebuilds work great on 2.6.29. I see no reason why we should wait for 9.4 and skip 9.3.
Comment 10 James Le Cuirot gentoo-dev 2009-03-31 08:50:55 UTC
It'll be another month before they release again and more importantly, this is the last release to ever support R300-R500 hardware. I say the patches should stay.
Comment 11 dark_mail 2009-03-31 22:07:33 UTC
I've found out something curious:

When using ati-drivers-8.593, glxinfo returns "ATI" as glx vendor string. However, with version 8.561, to which I have reverted, the glx vendor string is "SGI".

The OpenGL vendor string still read "ATI".

Any clue if that means something?
Comment 12 Luís Augusto Perles 2009-04-02 00:40:06 UTC
(In reply to comment #11)
> I've found out something curious:
> 
> When using ati-drivers-8.593, glxinfo returns "ATI" as glx vendor string.
> However, with version 8.561, to which I have reverted, the glx vendor string is
> "SGI".
> 
> The OpenGL vendor string still read "ATI".
> 
> Any clue if that means something?
> 

Until 9.2 is SGI as OpenGL vendor.(In reply to comment #11)
> I've found out something curious:
> 
> When using ati-drivers-8.593, glxinfo returns "ATI" as glx vendor string.
> However, with version 8.561, to which I have reverted, the glx vendor string is
> "SGI".
> 
> The OpenGL vendor string still read "ATI".
> 
> Any clue if that means something?
> 

No clues, but until 9.2 OpenGL vendor was SGI. Identity thief??
Comment 13 Luís Augusto Perles 2009-04-02 02:25:17 UTC
For people who is having troubles with OpenGL applications and amdccle:
Libraries like libGL.so.1.2 changed their location but the old ebuild (in my case 8.582) is not deleting them. So you have to uninstall manually. It was in /usr/lib/xorg/ and now is in /usr/lib/opengl/ati/lib/. It is also valid to those who has /usr/lib32 and 64 dirs. Perhaps reinstall the 8.593 can be needed. 

In case it solved almost all of my problems but one: fgl_glxgears opens just a black window but no gears at all. One of my CPU gets 100% and no performance is shown in the terminal too.
Comment 14 dark_mail 2009-04-02 17:45:16 UTC
Sorry, that didn't solve my problem. "locate libGL.so" now outputs the following files and links:

/usr/lib32/libGL.so
/usr/lib32/opengl/ati/lib/libGL.so
/usr/lib32/opengl/ati/lib/FGL.renamed.libGL.so.1.2
/usr/lib32/opengl/ati/lib/libGL.so.1.2
/usr/lib32/opengl/ati/lib/libGL.so.1
/usr/lib32/opengl/xorg-x11/lib/libGL.so
/usr/lib32/opengl/xorg-x11/lib/libGL.so.1.2
/usr/lib32/opengl/xorg-x11/lib/libGL.so.1
/usr/lib64/libGL.so
/usr/lib64/FGL.renamed.libGL.so.1.2
/usr/lib64/opengl/ati/lib/libGL.so
/usr/lib64/opengl/ati/lib/FGL.renamed.libGL.so.1.2
/usr/lib64/opengl/ati/lib/libGL.so.1.2
/usr/lib64/opengl/ati/lib/libGL.so.1
/usr/lib64/opengl/xorg-x11/lib/libGL.so
/usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2
/usr/lib64/opengl/xorg-x11/lib/libGL.so.1

mplayer still shows lots of tearing during playback and nwn crashes on load. Do I need some special kernel/Xorg config options or certain versions to make it work?
Comment 15 Luís Augusto Perles 2009-04-03 20:13:25 UTC
Check your installation. This file -> FGL.renamed.libGL.so.1.2
 should NOT exist anymore. Verify your links too.
These should be soft links:
/usr/lib32/libGL.so
/usr/lib64/libGL.so

Also you should have the same files as soft links for /usr/lib/libGL.so too
Check the dates of those files. If do not uninstall the old driver before to install the new one you may finish with old libraries mixed with the new ones. 
Comment 16 dark_mail 2009-04-03 21:56:23 UTC
(In reply to comment 15)

I cleaned it up the hard way. (Note to self: Don't _ever_ delete libraries that are currently used by the system. Can make things quite complicated.)

Unfortunately, that didn't solve the problem. And it's getting a bit more complicated:
I can successfully run Freespace SCP, so opengl is working, windowed and in fullscreen.

I got mplayer to behave after I switched the video output from xv to opengl.
So this leaves nwn, and I slowly come to believe that it's the game to blame more than the ati driver.

BTW:
Is there some minimum kernel requirement apart from being 2.6.x?
Mine is 2.6.27, and after I upgraded xorg-server to 1.5.3 today that is also ruled out as a troublemaker, toggling the compositing manager on and off also didn't change anything.
Comment 17 George L. Emigh 2009-04-04 21:22:34 UTC
(In reply to comment #10)
> It'll be another month before they release again and more importantly, this is
> the last release to ever support R300-R500 hardware. I say the patches should
> stay.
> 

I would like to have this one as well, I have an RV350 and I want to use 2.6.29 and thus stick with this driver version as it is the last to support my card, meanwhile I wait for the xorg drivers to catch up, or I finally decide to get a newer video card.
Comment 18 JetDog 2009-04-08 17:26:48 UTC
The following might be of some interest to all ATI fans:

"AMD Catalyst 9.3 For Linux Brings OpenGL Composite Support"
--> Means that Compiz Fusion will finally work with proper composite stretching/mapping on 3d surfaces.  i.e. MAJOR release.
http://www.phoronix.com/scan.php?page=article&item=amd_catalyst93_composite&num=1

Also of relevance:
"Beginning next month with the Catalyst 9.4 release, support for the R300/400/500 generations of graphics processors will be dropped from AMD's mainline ATI driver"
http://www.phoronix.com/scan.php?page=article&item=amd_r500_legacy&num=1

Not to try to rush things, but it would be great to get this ebuild into the main tree, so that R300-R500 series cards can still benefit from Catalyst 9.3 and recent working software that they can still build this driver against.
Comment 19 Nikos Chantziaras 2009-04-08 19:58:17 UTC
If this (or a future) version gets into the tree, can the version please be changed?  Instead of "ati-drivers-8.593", we should use "ati-drivers-9.3".

We couldn't do this previously (with Catalyst 8.x versions) because they were lower than the internal 2D driver version and portage wouldn't find updates. Now that Catalyst changed to 9.x (with 9.1 being the first), we can drop the old versioning and use the official one. Makes it a lot less confusing.
Comment 20 JetDog 2009-04-09 00:22:54 UTC
Compiled and tested the above ebuilds.  2.6.27-gentoo-r8 x86_64.  Using X200 Mobility.  Compiling/Installation worked great.

No tearing, xvideo works great, opengl 3.0 is there.  Videos can play in OpenGL fine (though vlc crashes oddly when stopping a video that was playing with their OpenGL module).  Games in OpenGL work just as good as in the previous release (including wine, etc, etc).

I'm compiling compiz-fusion at the moment.  Hope this feedback helps!

Portage 2.1.6.7 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r1, 2.6.27-gentoo-r8 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r8-x86_64-AMD_Athlon-tm-_64_Processor_3500+-with-glibc2.2.5
Timestamp of tree: Mon, 06 Apr 2009 21:15:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=k8 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="C"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amd64 apache2 apm avahi bash-completion berkdb bzip2 bzlib cdda cdr cli cracklib crypt css cups dbus dri dts dv dvd dvdr dvdread encode enscript esd fam ffmpeg fortran ftp gdbm gif gnome gphoto2 gpm gstreamer gtk hal iconv ieee1394 ipv6 isdnlog joystick jpeg jpeg2k lirc matroska midi mmx mp3 mpeg msn mudflap multilib ncurses networkmanager nls nptl nptlonly offensive ogg opengl openmp pam pcmcia pcre pdf perl png pppd python quicktime raw rdesktop readline reflection rss samba session sockets socks5 spell spl sse sse2 ssl symlink sysfs tcpd tiff truetype unicode usb vcd vorbis wifi x264 xcomposite xine xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 21 JetDog 2009-04-09 11:06:42 UTC
I have some more information on these drivers:

compiz_fusion works wounders.  When playing videos on opengl surfaces, they finally get rotated/stretched properly.  (This must be the composite and opengl 3.0 at work).

I have an interesting problem with fgl_glxgears actually (with or without compiz)... I figure that this belongs to upstream, but i'll describe it in case others are experiencing it too, before we push to CVS:

fgl_glxgears, when run on my system without any parameters, displays nothing but black (and the GPU usage and popup window start regardless).  If I use the -fbo option, (which the help describes as using GL_EXT_framebuffer_object instead of GLX_SGIX_pbuffer), it renders correctly.  Is anyone else experiencing this issue?  Mine is an R200-R500 series card.
Comment 22 James Le Cuirot gentoo-dev 2009-04-09 11:14:59 UTC
It works for me but I think I saw similar issues with fgl_glxgears reported at Phoronix. If that's the worst problem you've encountered, consider yourself very lucky!
Comment 23 Ville Aakko 2009-04-11 06:47:05 UTC
Hi,

I get a file collision with the newest stable xorg-server-1.5.3-r5!

Installing ati-drivers-8.593 via the eubild in this bug:

 * Detected file collision(s):
 *
 *      /usr/lib/opengl/ati/extensions/libglx.so
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * x11-base/xorg-server-1.5.3-r5
 *      /usr/lib/opengl/ati/extensions/libglx.so
 *


Why oh why this happends? Can anyone help me?
Comment 24 msjtr 2009-04-11 09:23:21 UTC
(In reply to comment #23)
> Hi,
> 
> I get a file collision with the newest stable xorg-server-1.5.3-r5!
> 
> Installing ati-drivers-8.593 via the eubild in this bug:
> 
>  * Detected file collision(s):
>  *
>  *      /usr/lib/opengl/ati/extensions/libglx.so
>  *
>  * Searching all installed packages for file collisions...
>  *
>  * Press Ctrl-C to Stop
>  *
>  * x11-base/xorg-server-1.5.3-r5
>  *      /usr/lib/opengl/ati/extensions/libglx.so
>  *
> 
> 
> Why oh why this happends? Can anyone help me?
> 

First of all, please don't use the comments for seeking help for not related Problems, thx.

Your Probleme ist probably covered in #247685.
Comment 25 dark_mail 2009-04-12 23:17:23 UTC
Small status update:

After a rebuild ordeal (reemergen world, ~850 packages) to rule out any problems with the transition from gcc 4.1 to 4.3, and upgrading to kernel 2.6.29-gentoo-r1, I basically still got the same problems:

none of the games that use opengl work, I constantly get the following message:

Xlib: sequence lost (0x10000 > 0xa) in reply type 0x0!
X Error of failed request:  0
  Major opcode of failed request:  0 ()
  Serial number of failed request:  0
  Current serial number in output stream:  10

mplayer still shows horribly torn video, and now that I've switched to a new kernel, I can't simply downgrade to the working ati-driver.

I just hope the radeon(hd)-driver gets some 3D support for my card so I can completely get off this mess of a driver.

(Sorry for the ranting, but after about 24 hours of compiling and struggling with related problems I had to blow some steam off.)

I can post my present emerge --info, but the one I posted earlier should still be valid, except the kernel and gcc versions.
Comment 26 Nikos Chantziaras 2009-04-13 09:51:31 UTC
Catalyst 9.3 does not support kernel 2.6.29. Only up to 2.6.28. Yes, there's a 3rd party patch for 2.6.29, but it's no guarantee. The driver works flawlessly here (Radeon HD4870) with 2.6.28-r4 and X.Org 1.5.3.

Also, instead of upgrading the driver, try to first remove it and then install the new one with deleting /etc/ati in between and all that while X isn't running. So boot into text mode first (append "softlevel=boot" in the grub kernel parameters) and then:

  emerge -C ati-drivers
  modprobe -r fglrx
  rm -r /lib/modules/VERSION/video/fglrx.ko
  rm -r /etc/ati
  emerge ati-drivers

Also make sure you have xorg.conf setup correctly:

  aticonfig --initial

The reboot.
Comment 27 dark_mail 2009-04-13 11:53:26 UTC
In reply to #26:

Thanks, your step-by-step manual worked! :-)

Opengl apps now work, even under 2.6.29, despite throwing an error on startup of the programs:

Xlib: sequence lost (0x10000 > 0xa) in reply type 0x1!

But after that they run (haven't tested stability yet).

When using mplayer with xv or gl as video output, I still get torn video, gl2 looks fine, but IMHO output looks a bit sluggish. Other video output either don't work or mess up X.

Thanks again for the help! :-D
Comment 28 Vadim Efimov 2009-04-14 07:56:42 UTC
2.6.27-r8, Xorg 1.5, X1300 (RV515)
install & work fine, tested in:
googleearth, warzone2100, mplayer: xv gl gl2
Comment 29 Enrico Tagliavini 2009-04-22 16:51:25 UTC
I don't want to be kindless but when this driver will hit portage tree? This is a very important release couse it is the last for r300-r500 based cards and is more a months this driver is out. And it also ships opengl composite support (finally). There is even the 9.4 out (See bug #266819)
Comment 30 Benjamin Hodgetts 2009-04-27 11:54:13 UTC
Just for reference, this version of the ATi drivers causes all windows and icons in Civilization 4 (through Wine) to constantly keep flashing as if they are refreshing over and over.
Comment 31 Christian Faulhammer (RETIRED) gentoo-dev 2009-06-03 12:31:30 UTC
Is in Portage...closing.